# compatability macros
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%{?!_with_unstable: %{error:%(echo -e "\n\n\nYou are building package for a stable release, please see \nhttp://qa.mandrakesoft.com/twiki/bin/view/Main/DistroSpecificReleaseTag\nif you think this is incorrect\n\n\n ")}%(sleep 2)}

%define name pfqueue
%define version 0.3.5
%define release %mkrel 1
Summary:	Queue manager for the Postfix mail transport agent
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
Source:		http://prdownloads.sourceforge.net/pfqueue/pfqueue-0.3.5.tar.bz2
URL:		http://pfqueue.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	ncurses-devel
Requires:	postfix

%description
pfqueue is a console application for managing mail queues used by the
Postfix mail transport agent.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_sbindir}

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%doc %{_mandir}/man1/pfqueue.1*
%{_sbindir}/pfqueue

%changelog
* Fri Apr 15 2005 Luca Berra <bluca@vodka.it> 0.3.5-1mdk
- Initial contrib

